#ifndef SBSsimDecoder_
#define SBSsimDecoder_

/////////////////////////////////////////////////////////////////////
//
//   SBSsimDecoder
//
/////////////////////////////////////////////////////////////////////

#include "THaEvData.h"
#include "THaAnalysisObject.h"
#include "TList.h"

class THaCrateMap;

class SBSsimDecoder : public THaEvData {
 public:
  SBSsimDecoder();
  virtual ~SBSsimDecoder();

  Int_t  LoadEvent( const int*evbuffer, THaCrateMap* usermap );

  void   Clear( Option_t* opt="" );
  Int_t  GetNTracks() const { return fTracks.GetSize(); }
  Int_t  DefineVariables( THaAnalysisObject::EMode mode = 
			  THaAnalysisObject::kDefine );

  static const Int_t CHAN_PER_SLOT = 128;

 protected:

  TList   fTracks;       // Monte Carlo tracks

  bool    fIsSetup;

  ClassDef(SBSsimDecoder,0) // Decoder for simulated SBS GEM tracker data
};

#endif
