// Decode raw data in debug mode
{
  THaRun* run = new THaRun("/disk2/data/happexsp_26622.dat.0");
  THaEvData* evdata = new THaCodaDecoder();
  UInt_t nev = 0, maxev = 100;
  Int_t status;
  TDatime now;

  // Set up decoder
  evdata->SetRunTime(now.Convert());
  evdata->SetVerbose(1);
  evdata->SetDebug(1);

  // Open run
  status = run->Open();
  if( status ) {
    cout << "Error opening run" << endl;
    return;
  }
  // Event loop
  while( (status = run->ReadEvent()) == 0 && nev++ < maxev) {
    if( status ) {
      cout << "terminating on ReadEvent status = " << status << endl;
      break;
    }
    status = evdata->LoadEvent( run->GetEvBuffer() );
    if( status ) {
      cout << "terminating on LoadEvent status = " << status << endl;
      break;
    }
    // evdata now holds decoded data
  }
  run->Close();
  delete run; run = 0;
}
